Name:          steam
Version:       1.0.0.83
Release:       1mamba
Summary:       Valve's distribution platform, created to kick-start the digital distribution era for games
Group:         Graphical Desktop/Applications/Games
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://store.steampowered.com/
Source:        http://repo.steampowered.com/steam/archive/precise/steam_%{version}.tar.gz
Source1:       steamdeps
Source2:       steamdeps.sh
License:       no OSI Approved
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
Requires:      curl
Requires:      kdialog
Requires:      xterm
Requires:      xz
Requires:      zenity

%description
Steam is Valve's distribution platform, created to kick-start the digital distribution era for games. Steam allows users to easily purchase, download, play and update games online. It also helps developers, by allowing them to break out of the innovation-crushing 'retail and publisher' distribution model and offering them huge improvements to their profit margins and creative freedom.

%define debug_package %{nil}

%prep
%setup -q -n %{name}-launcher

%build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

install -D -m0755 %{SOURCE2} %{buildroot}%{_prefix}/lib/steam/steamdeps.sh

%ifarch x86_64
install -D -m0755 %{SOURCE1} %{buildroot}%{_prefix}/lib/steam/bin_steamdeps.sh
ln -sf %{_prefix}/lib/steam/bin_steamdeps.sh %{buildroot}%{_bindir}/steamdeps
%else
ln -sf true %{buildroot}%{_bindir}/steamdeps
%endif

install -Dm 644 subprojects/steam-devices/60-steam-input.rules \
   %{buildroot}%{_udevrulesdir}/70-steam-input.rules
install -Dm 644 subprojects/steam-devices/60-steam-vr.rules \
   %{buildroot}%{_udevrulesdir}/70-steam-vr.rules
	
%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_sysconfdir}/apt/sources.list.d/steam-beta.list
%{_sysconfdir}/apt/sources.list.d/steam-stable.list
%{_bindir}/steam
%{_bindir}/steamdeps
%dir %{_prefix}/lib/steam
%{_prefix}/lib/steam/*
%{_udevrulesdir}/70-steam-*.rules
%{_datadir}/applications/steam.desktop
%{_datadir}/metainfo/com.valvesoftware.Steam.metainfo.xml
%{_datadir}/doc/steam/README
%{_datadir}/doc/steam/steam_subscriber_agreement.txt
%{_datadir}/icons/hicolor/*/apps/steam.png
%{_datadir}/keyrings/steam.gpg
%{_datadir}/pixmaps/steam.png
%{_datadir}/pixmaps/steam_tray_mono.png
%{_mandir}/man6/steam.6*
%doc COPYING

%changelog
* Fri May 02 2025 Automatic Build System <autodist@openmamba.org> 1.0.0.83-1mamba
- automatic version update by autodist

* Tue Oct 08 2024 Automatic Build System <autodist@openmamba.org> 1.0.0.82-1mamba
- automatic version update by autodist

* Sat Aug 17 2024 Automatic Build System <autodist@openmamba.org> 1.0.0.81-1mamba
- automatic version update by autodist

* Sat Feb 10 2024 Automatic Build System <autodist@openmamba.org> 1.0.0.79-1mamba
- automatic version update by autodist

* Wed Jul 05 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.0.78-2mamba
- steamdeps: update x86 dependencies and checks

* Thu May 11 2023 Automatic Build System <autodist@mambasoft.it> 1.0.0.78-1mamba
- automatic version update by autodist

* Mon Mar 06 2023 Automatic Build System <autodist@mambasoft.it> 1.0.0.76-1mamba
- automatic version update by autodist

* Tue Nov 08 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.0.75-4mamba
- steamdeps: use xterm and kdialog to provide more feedback on initial 32-bit deps installation

* Thu Sep 29 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.0.75-3mamba
- steamdeps: add explicit deps from gcc to prevent installing gcc-multilib

* Wed Aug 03 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.0.75-2mamba
- provide steamdeps script to install deps from i586 repository

* Sat Jul 16 2022 Automatic Build System <autodist@mambasoft.it> 1.0.0.75-1mamba
- automatic version update by autodist

* Thu Dec 09 2021 Automatic Build System <autodist@mambasoft.it> 1.0.0.74-1mamba
- automatic version update by autodist

* Thu Nov 11 2021 Automatic Build System <autodist@mambasoft.it> 1.0.0.73-1mamba
- automatic version update by autodist

* Fri Sep 10 2021 Automatic Build System <autodist@mambasoft.it> 1.0.0.72-1mamba
- automatic version update by autodist

* Sun Jul 25 2021 Automatic Build System <autodist@mambasoft.it> 1.0.0.71-1mamba
- automatic version update by autodist

* Tue May 25 2021 Automatic Build System <autodist@mambasoft.it> 1.0.0.70-1mamba
- automatic version update by autodist

* Wed Feb 24 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.0.68-1mamba
- update to 1.0.0.68

* Thu Jan 16 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.0.61-1mamba
- update to 1.0.0.61

* Fri Dec 09 2016 Automatic Build System <autodist@mambasoft.it> 1.0.0.54-1mamba
- automatic version update by autodist

* Sat Oct 22 2016 Automatic Build System <autodist@mambasoft.it> 1.0.0.53-1mamba
- automatic version update by autodist

* Fri May 06 2016 Automatic Build System <autodist@mambasoft.it> 1.0.0.52-1mamba
- automatic version update by autodist

* Fri Dec 04 2015 Automatic Build System <autodist@mambasoft.it> 1.0.0.51-1mamba
- automatic version update by autodist

* Fri May 08 2015 Automatic Build System <autodist@mambasoft.it> 1.0.0.50-1mamba
- automatic update by autodist

* Thu Sep 11 2014 Automatic Build System <autodist@mambasoft.it> 1.0.0.49-1mamba
- automatic version update by autodist

* Mon Jul 07 2014 Automatic Build System <autodist@mambasoft.it> 1.0.0.48-1mamba
- automatic update by autodist

* Sun Feb 16 2014 Automatic Build System <autodist@mambasoft.it> 1.0.0.47-1mamba
- automatic version update by autodist

* Tue Dec 03 2013 Automatic Build System <autodist@mambasoft.it> 1.0.0.45-1mamba
- automatic version update by autodist

* Sun Oct 20 2013 Automatic Build System <autodist@mambasoft.it> 1.0.0.43-1mamba
- automatic version update by autodist

* Tue Sep 10 2013 Automatic Build System <autodist@mambasoft.it> 1.0.0.42-1mamba
- automatic update by autodist

* Sun Sep 01 2013 Automatic Build System <autodist@mambasoft.it> 1.0.0.40-1mamba
- automatic update by autodist

* Sun May 12 2013 Automatic Build System <autodist@mambasoft.it> 1.0.0.39-1mamba
- automatic version update by autodist

* Sun Apr 28 2013 Automatic Build System <autodist@mambasoft.it> 1.0.0.38-1mamba
- automatic version update by autodist

* Thu Mar 21 2013 Automatic Build System <autodist@mambasoft.it> 1.0.0.36-1mamba
- automatic version update by autodist

* Mon Mar 04 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.0.35-1mamba
- package created by silvan using the webbuild interface
